%define name	ices0
%define realname ices
%define distsuffix plf
%define version	0.4
%define release %mkrel 5
%define perlver %(rpm -q perl --qf '%|EPOCH?{%{EPOCH}:}:{}|%{VERSION}')

%define build_plf 1
%{?_with_plf: %{expand: %%define build_plf 1}}
%{?_without_plf: %{expand: %%define build_plf 0}}
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

%if %build_plf
%define distsuffix plf
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Source streaming for Icecast
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source0:	%{realname}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}.logrotate.bz2
Patch0:		%{realname}.conf.patch.bz2
Patch1:		%{realname}.exit0.patch.bz2
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	libxml2-devel
BuildRequires:	libshout-devel >= 2.0-2mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires(pre):		rpm-helper
Requires(preun):	rpm-helper
Requires(post):		rpm-helper
Provides:	%realname = %version-%release
Obsoletes:	%realname < %version-%release
%if %build_plf
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	liblame-devel
Obsoletes:	ices-lame
Provides:	ices-lame
%endif
Requires: perl-base = %perlver

%description
Ices is a part of Icecast serveur. It submit mp3's files from a playlist.  

%if %build_plf
It is in plf because it need libmp3 to reencode mp3/ogg stream
%endif

%prep
%setup -q -n %realname-%version
%patch
%patch1 -p0 
perl -pi -e 's/\#include \<parser.h\>/\#include \<libxml\/parser.h\>/' src/ices_config.c
perl -pi -e 's/\#include \<xmlmemory.h\>/\#include \<libxml\/xmlmemory.h\>/' src/ices_config.c

perl -pi -e 's!<BaseDirectory>.*</BaseDirectory>!<BaseDirectory>%_var/log/%name</BaseDirectory>!' conf/ices.conf.dist.in

%build
%if %build_plf
OPTIONS="--with-lame --with-vorbis"
%endif
%configure	--with-moddir=%{_sysconfdir}/%{realname} \
		--with-python-includes=%{_includedir}/python%{py_ver} \
        --without-faad \
        --without-flac \
		$OPTIONS
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mv %buildroot%_bindir/%realname %buildroot%_bindir/%name

mv $RPM_BUILD_ROOT%{_sysconfdir}/ices.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/ices.conf
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices/ices.pm.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/ices.pm
mv $RPM_BUILD_ROOT%{_sysconfdir}/ices/ices.py.dist $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}/ices.py

rm -fr $RPM_BUILD_ROOT/usr/doc
# We don't want libshout here !
rm -fr $RPM_BUILD_ROOT/%_includedir/shout
rm -f $RPM_BUILD_ROOT/%_libdir/libshout*

install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
install -d -m 755 %buildroot%_sysconfdir/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
bzcat %SOURCE1 > $RPM_BUILD_ROOT%{_initrddir}/%{name}
bzcat %SOURCE2 > %buildroot%_sysconfdir/logrotate.d/%{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd %{name} %{_var}/log/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL NEWS README README.playlist TODO
%doc doc/icesmanual.html
%{_bindir}/%{name}
%config(noreplace) %_sysconfdir/logrotate.d/%{name}
%{_mandir}/man1/ices.1.bz2
%dir %{_sysconfdir}/%{realname}
%config(noreplace) %{_sysconfdir}/%{realname}/%{realname}.conf
%config(noreplace) %{_sysconfdir}/%{realname}/%{realname}.pm
%config(noreplace) %{_sysconfdir}/%{realname}/%{realname}.py
%attr(755,root,root) %config(noreplace) %{_initrddir}/%{name}
%attr(-,ices,ices) %{_var}/log/%{name}

%changelog
* Thu May 11 2006 Olivier Thauvin <nanardon@zarb.org> 0.4-5plf
- rebuild
- add a dep over perl as libperl.so is required

* Sun Oct 09 2005 Olivier Thauvin <nanardon@zarb.org> 0.4-4plf
- rebuild for perl (perl sucks)

* Thu Apr 21 2005 Olivier Thauvin <nanardon@zarb.org> 0.4-3plf
- disable libfaad and libflac
- rebuild for perl (don't understand why it was link against perl 5.8.3)

* Wed Apr 13 2005 Sylvie Terjan <erinmargault@zarb.org> 0.4-2plf
- 0.4 again

* Tue Apr 12 2005 Sylvie Terjan <erinmargault@zarb.org> 0.4-1plf
- 0.4 thanks to M.Scherer

* Sun Apr 10 2005 Sylvie Terjan <erinmargault@zarb.org> 0.3.6plf
- avoid incoherent version adding plf suffix

* Sun Apr 10 2005 Sylvie Terjan <erinmargault@zarb.org> 0.3-5plf
- correct insatisfied dependency on libpython
- %mkrel

* Tue Apr 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-4plf
- Patch1, return 0

* Fri Apr 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-3plf
- plf introduction
- s/ices/ices0/
 
* Sat Aug 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3-2mdk
- rebuild for new python

* Thu Jul 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.3-1mdk
- 0.3
- init script
- run as ices user, ices group
- better default configuration
- all configuration files in %{_sysconfdir}/%{name}
- fixed python compilation

* Sat Mar 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-5mdk
- plf rebuild

* Fri Jan 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-4mdk
- rebuild
- merge plf options
- build with libshout (plf)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-3mdk
- rebuild against perl-thread

* Mon Jul 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-2mdk
- rebuild for new perl

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-3mdk
- fix libxml2 path

* Wed Mar 13 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.2-2mdk
- contributed by Olivier Thauvin <thauvin@aerov.jussieu.fr>
- rpmlint fixes

* Fri Dec 14 2001 Olivier Thauvin 0.2.2-1mdkot
- First mdk release.
